Errors
Every error is an RFC 9457 problem document with the application/problem+json content type. These shared responses can occur on any endpoint.
Error shape
typestring · urirequiredURI reference to error documentation
titlestringrequiredShort, consistent error summary
statusintegerrequiredHTTP status code
detailstringrequiredHuman-readable explanation
errorsarray of objectrequiredList of validation errors
Show propertiesHide properties
fieldstringrequiredName of the invalid field
detailstringrequiredField-specific error message
400Bad Request
Bad request - invalid parameters
400 · application/problem+json
403Forbidden
Forbidden - client does not have access to this resource
403 · application/problem+json
404Not Found
Resource not found
404 · application/problem+json
409Operation Conflict
Another operation is already in progress
409 · application/problem+json
409Conflict
Request with this idempotency key is still being processed
409 · application/problem+json
422Idempotency Key Reused
Idempotency key was previously used with a different request body
422 · application/problem+json
422Unprocessable Entity
Request cannot be applied to the current resource
422 · application/problem+json
429Too Many Requests
Rate limit exceeded
429 · application/problem+json
500Internal Server Error
Internal server error
500 · application/problem+json
502Bad Gateway
Temporary service failure
502 · application/problem+json